#
# spec file for package hyprlang
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 2

Name:           hyprlang
Version:        0.5.0
License:        LGPL-3.0-only
Release:        1.1
Summary:        A configuration language for Linux applications
URL:            https://github.com/hyprwm/hyprlang
Source0:        https://github.com/hyprwm/hyprlang/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
The hypr configuration language is a configuration language for Linux
applications.

%package -n     lib%{name}%{sover}
Summary:        Library for Hypr, a config language
Group:          System/Libraries

%description -n lib%{name}%{sover}
The hypr configuration language is a configuration language for Linux
applications.

%package devel
Summary:        Development files for Hyprlang
Group:          Development/Libraries/Other
Requires:       lib%{name}%{sover} = %{version}

%description devel
The hypr configuration language is a configuration language for Linux
applications.

This subpackeg contains headers for hyprlang.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%post   -n lib%{name}%{sover} -p /sbin/ldconfig
%postun -n lib%{name}%{sover} -p /sbin/ldconfig

%files devel
%doc README.md
%{_includedir}/%{name}.hpp
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n lib%{name}%{sover}
%{_libdir}/lib%{name}.so.%{sover}
%{_libdir}/lib%{name}.so.%{version}

%changelog
* Sat Mar 16 2024 Florian "sp1rit" <sp1rit@disroot.org>
- Update to version 0.5.0:
  + Fixes:
  - Fixed easy ABI breaks with new struct members in options
- Changes from version 0.4.2:
  + Legal:
  - License changed to LGPL-3.0-Only
  + API:
  - added pathIsStream to SConfigOptions
  + Other:
  - Fixed value name in configSetValueSafe
* Fri Mar  1 2024 Florian "sp1rit" <sp1rit@disroot.org>
- Update to version 0.4.1:
  + A minor update with just a few internal QoL fixes.
    (This update is ABI-compatible with 0.4.0.)
  + Fixes:
  - Fixed dynamic variable updates within special categories
  - Custom value errors will now be properly thrown
* Sat Feb 24 2024 Soc Virnyl Estela <uncomfy+openbuildservice@uncomfyhalomacro.pl>
- Initial specfile for hyprlang 0.4.0
